Last Comment Bug 563462 - Remove support for Photon
: Remove support for Photon
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Widget: Photon (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla8
Assigned To: Rob Arnold [:robarnold]
:
Mentors:
Depends on: 447693
Blocks: 807488
  Show dependency treegraph
 
Reported: 2010-05-03 14:08 PDT by Rob Arnold [:robarnold]
Modified: 2014-12-09 11:27 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Remove widget/ bits (218.29 KB, patch)
2010-05-03 14:40 PDT, Rob Arnold [:robarnold]
vladimir: review+
Details | Diff | Review
Remove non-toolkit build system bits (13.25 KB, patch)
2010-05-03 14:41 PDT, Rob Arnold [:robarnold]
ted: review+
vladimir: review+
jwalden+bmo: review+
Details | Diff | Review
Remove netwerk/ bits (629 bytes, patch)
2010-05-03 14:42 PDT, Rob Arnold [:robarnold]
cbiesinger: review+
Details | Diff | Review
Remove from libpref (4.49 KB, patch)
2010-05-03 14:43 PDT, Rob Arnold [:robarnold]
dwitte: review+
Details | Diff | Review
Remove from toolkit/ (16.08 KB, patch)
2010-05-03 14:44 PDT, Rob Arnold [:robarnold]
dtownsend: review+
Details | Diff | Review
Remove non-toolkit build system bits updated (11.69 KB, patch)
2011-06-24 16:49 PDT, Matheus Kerschbaum
matjk7: review+
bugspam.Callek: checkin+
Details | Diff | Review

Description Rob Arnold [:robarnold] 2010-05-03 14:08:51 PDT
It is dead unmaintained code. The graphics bits were removed just under 22 months (that's 2 major releases) ago. In particular, bug 447693 comment 3 indicates that there the 1.8 branch is the active branch. This code is untested and likely suffers from bitrot due to the massive changes that have occurred to the tree since the 1.8 branch (namely cairo, TraceMonkey, OOPP, focus manager rewrite) and will likely continue to do so for future features (hardware acceleration, OOP tabs).
Comment 1 Rob Arnold [:robarnold] 2010-05-03 14:40:39 PDT
Created attachment 443196 [details] [diff] [review]
Remove widget/ bits
Comment 2 Rob Arnold [:robarnold] 2010-05-03 14:41:06 PDT
Created attachment 443197 [details] [diff] [review]
Remove non-toolkit build system bits
Comment 3 Rob Arnold [:robarnold] 2010-05-03 14:42:10 PDT
Created attachment 443198 [details] [diff] [review]
Remove netwerk/ bits
Comment 4 Rob Arnold [:robarnold] 2010-05-03 14:43:59 PDT
Created attachment 443199 [details] [diff] [review]
Remove from libpref
Comment 5 Rob Arnold [:robarnold] 2010-05-03 14:44:55 PDT
Created attachment 443200 [details] [diff] [review]
Remove from toolkit/
Comment 6 Rob Arnold [:robarnold] 2010-05-03 14:58:04 PDT
Comment on attachment 443199 [details] [diff] [review]
Remove from libpref

I could not find an owner for libpref on http://www.mozilla.org/about/owners.html but dwitte has reviewed at least one libpref patch recently so he gets this one too.
Comment 7 dwitte@gmail.com 2010-05-04 11:03:58 PDT
Comment on attachment 443199 [details] [diff] [review]
Remove from libpref

r=dwitte
Comment 8 Rob Arnold [:robarnold] 2010-05-12 11:34:51 PDT
Pushed all but the build system bits to mozilla-central:
http://hg.mozilla.org/mozilla-central/rev/d3a42a17157b
http://hg.mozilla.org/mozilla-central/rev/b3bae06509be
http://hg.mozilla.org/mozilla-central/rev/b0e6cec6c890
http://hg.mozilla.org/mozilla-central/rev/e754ea37b4c4

Just need Ted's review and photon will be gone.
Comment 9 Ted Mielczarek [:ted.mielczarek] 2010-05-18 10:01:13 PDT
Comment on attachment 443197 [details] [diff] [review]
Remove non-toolkit build system bits

Thanks for the cleanup!
Comment 10 Matheus Kerschbaum 2011-06-24 15:40:42 PDT
The build-system bits never landed. I'll update Rob's patch to build-system tip later today.
Comment 11 Matheus Kerschbaum 2011-06-24 16:49:49 PDT
Created attachment 541862 [details] [diff] [review]
Remove non-toolkit build system bits updated

Rob's patch, with him as the patch author, based on build-system tip, ready for checkin.
Comment 12 Justin Wood (:Callek) 2011-08-09 03:57:12 PDT
Comment on attachment 541862 [details] [diff] [review]
Remove non-toolkit build system bits updated

http://hg.mozilla.org/integration/mozilla-inbound/rev/5579c4b5623e
Comment 13 Mounir Lamouri (:mounir) 2011-08-09 05:52:34 PDT
Backed-out from inbound due to a perma-orange, see:
http://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=0adaae140642

The patch in this bug might not bee related, the entire push has been backed out.
Comment 14 Justin Wood (:Callek) 2011-08-10 00:45:32 PDT
(In reply to Justin Wood (:Callek) from comment #12)
> Comment on attachment 541862 [details] [diff] [review]
> Remove non-toolkit build system bits updated
> 
> http://hg.mozilla.org/integration/mozilla-inbound/rev/5579c4b5623e

(In reply to Mounir Lamouri (:volkmar) from comment #13)
> Backed-out from inbound due to a perma-orange, see:
> http://tbpl.mozilla.org/?tree=Mozilla-Inbound&rev=0adaae140642
> 
> The patch in this bug might not bee related, the entire push has been backed
> out.

Relanded as: http://hg.mozilla.org/integration/mozilla-inbound/rev/a7f8e93c6e22
Comment 15 :Ehsan Akhgari (out sick) 2011-08-10 08:58:13 PDT
http://hg.mozilla.org/mozilla-central/rev/a7f8e93c6e22

Note You need to log in before you can comment on or make changes to this bug.